Skip to content

damla/connEth

Repository files navigation

ConnEth

Technology Stack

Notes

If the husky hooks do not work, delete files found under the .husky folder and run these commands:

yarn husky add .husky/pre-commit
yarn husky add .husky/commit-msg

Fill the created files as follow:

pre-commit

Basically, it will do linting on staged files.

#!/bin/sh
. "$(dirname "$0")/_/husky.sh"

yarn lint-staged

commit-msg

This will force developer to use semantic commits.

#!/bin/sh
. "$(dirname "$0")/_/husky.sh"

undefined
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"

#!/bin/sh
if ! head -1 "$1" | grep -qE "^(feat|fix|chore|docs|test|style|refactor|perf|build|ci|revert)(\(.+?\))?: .{1,}$"; then
    echo "Aborting commit. Your commit message is invalid." >&2
    exit 1
fi
if ! head -1 "$1" | grep -qE "^.{1,88}$"; then
    echo "Aborting commit. Your commit message is too long." >&2
    exit 1
fi

Installation

git clone [email protected]:damla/connEth.git

cd connEth

# Install node packages
yarn

# Note: Environment variables need to be added
# before running

# generate prisma client according to schema directives
npx prisma generate --schema=./src/lib/prisma/schema.prisma

# create initial migration
npx prisma db push

# seed data according to seed.ts
npx prisma db seed

# Run
yarn dev

About

dApp project developed to authenticate with wallet, list transactions and more in ETH chain.

Topics

Resources

License

Stars

Watchers

Forks

Releases

No releases published

Packages

No packages published